---
sidebar_position: 3
description: Get information about file and other functions to work with VKTeams in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VKTeams]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get information about file
 Gets information about a file by ID



`Function GetFileInformation(Val Token, Val FileID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |
  | FileID | --fileid | String, Number | &#x2714; | File ID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from VK Teams

:::tip
Method at API documentation: [GET /files/getInfo](https://teams.vk.com/botapi/#/files/get_files_getInfo)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token  = "001.3501506236.091...";
    FileID = "afpeLkSyQg0bUyw4140Kcm6939c3c61bd";

    Result = OPI_VKTeams.GetFileInformation(Token, FileID);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint vkteams GetFileInformation \
             --token "***" \
             --fileid "kam7UnJCaxjVs4bjRfQPHr6939d28c1bd"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint vkteams GetFileInformation ^
             --token "***" ^
             --fileid "kam7UnJCaxjVs4bjRfQPHr6939d28c1bd"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "filename": "ImportantDocument.docx",
 "size": 24069,
 "type": "application",
 "url": "https://ub.myteam.vmailru.net/files/get/eVtnmlDgxpnzh7w3EjDbCpw6bL6p_B5lQpv7eNvfucaYmS8lDapS59y6ncDqikxDMQuQSehWfJUH5vtzm4t7LJuRf9o-ysSwyUGA2CNKnebbP_odhpuN4bg2IadubjCMwdgAAvDsLTfr52CMwAgjY7k69EpSI62RO5bMRVZyen6s2NDuY-G7E7sMJrwVCywxsjun39L9zHKozi1F0wyKs_ciO0FXlEzB4ZhfFRX4-XcCB_je6ho_MaZeWUwcyhSeJcHWiOdf8Ejh4Ioomk-vLdfOKgmz87HpZ4BdkzgPBgPv0MrrCzV5F_sgGXnysGY_jXxSckYFshkt296L5yzLiFhR-CUDT5IAoxtzDl0CExfhMpr9wX0Ej5TRSnL3hQg5-z7CTj0hV7XNU0rEcG8O0QuPTpvSn_jgcH9zX_rRbOabaaEXQiVuJwYkLuLzRsnv7w/ImportantDocument.docx",
 "ok": true
}
```
